package com.jiayue.ipp.idp.controller.an;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jiayue.ipp.common.data.entity.an.ParsingQxzInfo;
import com.jiayue.ipp.idp.service.an.ParsingQxzInfoService;
import com.jiayue.ipp.idp.util.R;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequiredArgsConstructor
@RequestMapping("/parsingQxzController")
public class ParsingQxzController {
    @Autowired
    ParsingQxzInfoService parsingQxzInfoService;

    @ApiOperation(value = "添加Qxz配置", notes = "添加Qxz配置")
    @PostMapping()
    public R add(@RequestBody ParsingQxzInfo parsingQxzInfo) {
        if (parsingQxzInfoService.save(parsingQxzInfo)) {
            return R.ok("添加成功！");
        } else {
            return R.failed("添加失败！");
        }
    }

    @ApiOperation(value = "修改Qxz配置", notes = "修改Qxz配置")
    @PutMapping()
    public R update(@RequestBody ParsingQxzInfo parsingQxzInfo) {
        if (parsingQxzInfoService.updateById(parsingQxzInfo)) {
            return R.ok("修改成功！");
        } else {
            return R.failed("修改失败！");
        }
    }

    @ApiOperation(value = "根据id删除Qxz配置", notes = "根据id删除Qxz配置")
    @DeleteMapping("/{id}")
    public R delete(@PathVariable String id) {
        if (parsingQxzInfoService.removeById(id)) {
            return R.ok("删除成功！");
        } else {
            return R.failed("删除失败！");
        }
    }

    @ApiOperation(value = "分页查询Qxz配置", notes = "分页查询Qxz配置")
    @GetMapping("/page")
    public R page(ParsingQxzInfo parsingQxzInfo, Page page) {
        return R.ok(parsingQxzInfoService.page(page, Wrappers.query(parsingQxzInfo)));
    }
}
